Get collection
Returns the specified collection.
Request
POST
https://api.datalens.tech/rpc/getCollection
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
|
x-dl-audit-mode |
Type: string Const: Example: `` |
Body
application/json
{
"collectionId": "example",
"includePermissionsInfo": true
}
|
Name |
Description |
|
collectionId |
Type: string ID of the collection to retrieve. Example: |
|
includePermissionsInfo |
Type: boolean Include permission information in the response. |
Responses
200 OK
Response
Body
application/json
{
"collectionId": "example",
"title": "example",
"description": "example",
"parentId": "example",
"tenantId": "example",
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"meta": {},
"permissions": {
"listAccessBindings": true,
"updateAccessBindings": true,
"createSharedEntry": true,
"createCollection": true,
"createWorkbook": true,
"limitedView": true,
"view": true,
"update": true,
"copy": true,
"move": true,
"delete": true
}
}
|
Name |
Description |
||||||||||||||||||||||
|
collectionId |
Type: string Unique identifier of the collection. Example: |
||||||||||||||||||||||
|
createdAt |
Type: string Creation timestamp. Example: |
||||||||||||||||||||||
|
createdBy |
Type: string ID of the user who created the collection. Example: |
||||||||||||||||||||||
|
description |
Type: string | null Description of the collection. Example: |
||||||||||||||||||||||
|
meta |
Type: object
Metadata associated with the collection. Example
|
||||||||||||||||||||||
|
parentId |
Type: string | null ID of the parent collection. Example: |
||||||||||||||||||||||
|
tenantId |
Type: string ID of the DataLens tenant. Example: |
||||||||||||||||||||||
|
title |
Type: string Title of the collection. Example: |
||||||||||||||||||||||
|
updatedAt |
Type: string Last update timestamp. Example: |
||||||||||||||||||||||
|
updatedBy |
Type: string ID of the user who last updated the collection. Example: |
||||||||||||||||||||||
|
permissions |
Type: object
Permissions for the collection. Example
|